https://flyte.org logo
#ask-the-community
Title
# ask-the-community
f

Frank Shen

04/26/2023, 6:12 PM
Hello, While registering a workflow I got this weird error. It seems all of the tasks are complaining about the same. Could you provide any idea why this might be happening?
Copy code
grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with:
	status = StatusCode.INVALID_ARGUMENT
	details = "task with different structure already exists with id resource_type:TASK project:"marketing-ds" domain:"development" name:"dai_mle_models.xgboost.shared_tasks.preprocess" version:"13ae7115d121144d807168e49caaa0aaa25faa14" "
	debug_error_string = "UNKNOWN:Error received from peer ipv4:3.82.167.33:443 {grpc_message:"task with different structure already exists with id resource_type:TASK project:\"marketing-ds\" domain:\"development\" name:\"dai_mle_models.xgboost.shared_tasks.preprocess\" version:\"13ae7115d121144d807168e49caaa0aaa25faa14\" ", grpc_status:3, created_time:"2023-04-26T11:06:59.
...
During handling of the above exception, another exception occurred:
...
File "/Users/fshen/hbo-code/dai-mle-subltv/env/lib/python3.8/site-packages/flytekit/clients/raw.py", line 82, in handler
    e.details += "create_request: " + _MessageToJson(create_request)
TypeError: unsupported operand type(s) for +=: 'method' and 'str'
j

Jay Ganbat

04/26/2023, 6:20 PM
how is your version determined, looks like version conflict
task with different structure already exists with id
k

Kevin Su

04/26/2023, 10:10 PM
This error occurs when you’re trying to register a same version of the task that has different task structured (like image, serialization settings)
f

Frank Shen

04/27/2023, 11:28 PM
Thanks @Kevin Su
25 Views